Respond to an approval request
curl --request POST \
--url https://api.visiqlabs.com/allow/hitl/queue/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "create_rule",
"responded_by": "alex@example.com",
"linked_rule_id": "4b2b8c1e-6f2a-4a1e-9e2b-9d5b0a1c2d3e"
}
'import requests
url = "https://api.visiqlabs.com/allow/hitl/queue/{id}"
payload = {
"action": "create_rule",
"responded_by": "alex@example.com",
"linked_rule_id": "4b2b8c1e-6f2a-4a1e-9e2b-9d5b0a1c2d3e"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'create_rule',
responded_by: 'alex@example.com',
linked_rule_id: '4b2b8c1e-6f2a-4a1e-9e2b-9d5b0a1c2d3e'
})
};
fetch('https://api.visiqlabs.com/allow/hitl/queue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responded_at": "2023-11-07T05:31:56Z",
"responded_by": "<string>"
}{
"error": "Invalid request body",
"details": [
{
"path": [
"agent_id"
],
"message": "Required"
}
]
}{
"error": "Unauthorized"
}{
"error": "insufficient_scope",
"detail": "This API key is not authorized for the requested operation."
}{
"error": "Rule not found"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>",
"details": [
{}
]
}Human-in-the-loop
Respond to an approval request
Resolve a pending approval item. The accepted request body depends on the item’s category: enduser items take { decision: "approved" | "rejected", responded_by }; all other categories take { action: "dismiss" | "create_rule", responded_by, linked_rule_id? } (linked_rule_id is required when action is create_rule). Requires permission allow_hitl:respond.
POST
/
allow
/
hitl
/
queue
/
{id}
Respond to an approval request
Authorizations
A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint keys under Connectors -> API Keys in the dashboard.
Path Parameters
The approval queue item UUID.
Body
application/json
⌘I